yogarine/depose

This package is not installable via Composer 1.x, please make sure you upgrade to Composer 2+. Read more about our Composer 1.x deprecation policy.

Simple wrapper for docker-compose which makes dealing with multiple environments easier.

dev-master 2019-08-03 10:13 UTC

This package is auto-updated.

Last update: 2021-10-31 00:26:48 UTC


README

Simple wrapper for docker-compose which makes dealing with multiple environments easier.

Installation

composer require yogarine/depose

How to use

Usage:
  vendor/bin/depose [STAGE] [depose options] [options] [COMMAND] [ARGS...]
  vendor/bin/depose -h|--help

Depose Options:
  -E, --env-file              .env file to use
  -C, --no-cli                If set, Compose doesn’t attempt to use the Docker
                              CLI for interactive run and exec operations
  --no-compatibility          Don't attempt to convert keys in v3 files to
                              their non-Swarm equivalent
  -F, --foreground            Foreground mode: Run containers in the foreground